## NMSettingBluetooth NMSettingBluetooth |

## Functions

NMSetting * | nm_setting_bluetooth_new ()
const char * | nm_setting_bluetooth_get_bdaddr ()
const char * | nm_setting_bluetooth_get_connection_type ()

## Types and Values

#define | NM_SETTING_BLUETOOTH_SETTING_NAME
#define | NM_SETTING_BLUETOOTH_BDADDR
#define | NM_SETTING_BLUETOOTH_TYPE
#define | NM_SETTING_BLUETOOTH_TYPE_DUN
#define | NM_SETTING_BLUETOOTH_TYPE_PANU
#define | NM_SETTING_BLUETOOTH_TYPE_NAP

## Description

## Functions

### nm_setting_bluetooth_new ()

    NMSetting *
    nm_setting_bluetooth_new (void);

### nm_setting_bluetooth_get_bdaddr ()

    const char *
    nm_setting_bluetooth_get_bdaddr (NMSettingBluetooth *setting);

### nm_setting_bluetooth_get_connection_type ()

    const char *
    nm_setting_bluetooth_get_connection_type
                                   (NMSettingBluetooth *setting);

## Types and Values

### NM_SETTING_BLUETOOTH_SETTING_NAME

    #define NM_SETTING_BLUETOOTH_SETTING_NAME "bluetooth"

### NM_SETTING_BLUETOOTH_BDADDR

    #define NM_SETTING_BLUETOOTH_BDADDR "bdaddr"

### NM_SETTING_BLUETOOTH_TYPE

    #define NM_SETTING_BLUETOOTH_TYPE   "type"

### NM_SETTING_BLUETOOTH_TYPE_DUN

    #define NM_SETTING_BLUETOOTH_TYPE_DUN "dun"

Connection type describing a connection to devices that support the Bluetooth DUN profile.

### NM_SETTING_BLUETOOTH_TYPE_PANU

    #define NM_SETTING_BLUETOOTH_TYPE_PANU "panu"

Connection type describing PANU connection to a Bluetooth NAP (Network Access Point).

### NM_SETTING_BLUETOOTH_TYPE_NAP

    #define NM_SETTING_BLUETOOTH_TYPE_NAP "nap"

Connection type describing a Bluetooth NAP (Network Access Point), which accepts PANU clients.